.main-menu ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.main-menu ul li.menu-item-has-children>a::before {
    content: "";
    position: absolute !important;
    top: 50%;
    right: 0;
    transform: translateY(-65%) rotate(135deg);
    transition: 0.3s;
    width: 10px;
    height: 10px;
    border-radius: 3px;
    border-width: 2px 2px 0 0;
    border-style: solid;
}

.main-menu ul li.menu-item-has-children {
    position: relative;
}

.main-menu ul li.menu-item-has-children a {
    padding-right: 20px;
    position: relative;
}

.main-menu ul li.menu-item-has-children:hover>a::before {
    transform: translateY(-35%) rotate(315deg);
}

@media (min-width: 1040px) {
    .main-menu>ul {
        display: flex;
        align-items: center;
        gap: 3rem;
        justify-content: space-between;
    }
    .main-menu ul li.menu-item-has-children .sub-menu {
        min-width: 260px;
        height: auto;
        position: absolute;
        top: 100%;
        left: 0;
        z-index: 90;
        opacity: 0;
        visibility: hidden;
        text-align: left;
        transition: 0.3s;
        transform: translateY(-20px);
        border-radius: 10px;
        background-color: #fff;
        border-left: 1px solid #ffffff14;
        border-bottom: 1px solid #ffffff14;
        border-right: 1px solid #ffffff14;
        display: inline-block;
        box-shadow: 0 36px 35px rgba(0, 0, 0, 0.08);
    }
    .main-menu ul li.menu-item-has-children:hover>.sub-menu {
        opacity: 1;
        visibility: visible;
        top: 100%;
        transform: translateY(0);
    }
    .main-menu ul li.menu-item-has-children .sub-menu .sub-menu {
        opacity: 0 !important;
        min-width: 185px !important;
        left: 100% !important;
        top: -13% !important;
        margin: 0;
        border-radius: 0 !important;
    }
    .main-menu ul li.menu-item-has-children .sub-menu li.menu-item-has-children:hover .sub-menu {
        opacity: 1 !important;
        min-width: max-content !important;
        top: 0 !important;
        right: 3px;
        display: block !important;
        border-radius: 10px !important;
    }
    .main-menu>ul>li>a {
        font-weight: 500;
        font-size: 1.05rem;
    }
    .main-menu ul li.menu-item-has-children .sub-menu li {
        margin-right: 0;
        padding: 0 15px;
    }
    .main-menu ul li.menu-item-has-children .sub-menu a {
        padding: 12px 35px 12px 12px;
        border-bottom: 1px solid #ebebeb;
        display: block;
    }
    .main-menu ul li.menu-item-has-children .sub-menu li:last-child a {
        border: none;
    }
    .main-menu ul .sub-menu .menu-item-has-children>a::before {
        right: 0;
        transform: translateY(-65%) rotate(45deg) !important;
    }
    .main-menu ul .sub-menu .menu-item-has-children:hover>a::before {
        border-color: #56ab2f;
    }
    .main-menu .sub-menu li>a {
        font-size: 0.9rem;
        font-weight: 600;
    }
    .main-menu .sub-menu li:hover>a {
        color: #56ab2f;
    }
}

@media (max-width: 1040px) {
    .header-nav {
        width: 100%;
    }
    .menu-panel .header-nav {
        margin: 3rem 0;
    }
    .main-menu>ul>li>a {
        padding: 12px 0 17px 0;
        border-bottom: 1px solid #f3f3f3;
        cursor: pointer;
        display: block;
        padding: 12px 0 12px 0;
        font-weight: 600;
    }
    .main-menu .sub-menu>li>a {
        padding: 10px 0 10px;
        display: block;
        font-weight: 500;
        border-bottom: 1px solid #f3f3f3;
    }
    .main-menu .sub-menu>li {
        margin-left: 20px;
    }
    .main-menu .menu-item-has-children:not(.show-child)>.sub-menu {
        opacity: 0;
        height: 0;
        overflow: hidden;
    }
    .main-menu .menu-item-has-children>.sub-menu {
        transition-duration: 0.3s;
    }
    span.arrow-icon {
        width: 40px;
        height: 40px;
        display: block;
        position: absolute;
        top: 0;
        right: 0;
    }
    .menu-item-has-children:not(.show-child)>a::before {
        transform: translateY(-65%) rotate(135deg) !important;
    }
    .menu-item-has-children.show-child>a::before {
        transform: translateY(-35%) rotate(315deg) !important;
    }
    .menu-panel {
        position: fixed;
        overflow: hidden;
        top: 0;
        right: -100%;
        width: 100%;
        max-width: 465px;
        padding: 40px 30px;
        padding-top: 50px;
        height: 100%;
        display: block;
        background-color: white;
        backdrop-filter: blur(7px);
        z-index: 1900;
        transition: all 600ms ease;
        display: flex;
        flex-direction: column;
        overflow-y: auto;
        overflow: visible;
        align-items: flex-start;
    }
    .menu-panel.show {
        right: 0;
        overflow-y: auto;
    }
}